package com.css.txw.gxzx.service.lsjr;

import com.css.ggzc.framework.cache.vo.DmbDTO;
import com.css.ggzc.framework.common.pojo.PageResult;
import com.css.txw.gxzx.pojo.lsjr.*;
import com.css.txw.gxzx.pojo.vo.GxspReqVO;
import com.css.txw.gxzx.pojo.vo.ShqkxxVO;
import com.css.txw.gxzx.pojo.vo.lsjr.ProductApplyVO;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

import javax.validation.Valid;

public interface GxzxLsjrService {

    List<DmbDTO> queryJgList(YhBxjgcxRequestVO requestVO);

    PageResult<GxzxLsjrcpxxDto> queryXdbxcpList(XdbxcpcxRequestVO requestVO);

    GxzxLsjrcpxxDto queryXdbxcpxq(String cpid);

    KxtsjResponseDataDto queryKxtsj(KxtsjRequestVO requestVO);

    String saveDksqxx(GxzxDkbxsqxxDto dto, MultipartFile file);

    String saveTbsqxx(GxzxDkbxsqxxDto dto, MultipartFile file);

    DownloadFileInfoVO querySqFileByid(String squuid);

    String saveOrUpdateCpxx(GxzxLsjrcpxxDto dto);

    boolean delete(String cpid);

    boolean batchDelete(BatchDeleteReqVO reqVO);

    PageResult<ShqkxxVO> queryDspXdbxcpList(DspXdbxcpcxRequestVO requestVO);

    String cpSp(GxspReqVO reqVO);

    String cpsxj(CpsxjReqVO reqVO);

    String pldr(MultipartFile file);

    PageResult<GxzxDkbxsqxxVO> queryXdbxcpsqList(XdbxcpsqRequestVO requestVO);

    GxzxDkbxsqxxVO queryXdbxcpsqxq(String squuid);

	PageResult<ProductApplyVO> queryXdbxcpsqInfo(XdbxcpsqRequestVO request);
}  
